--- /homez.786/ridinteadu/_serious_analysis/van_21.0.0/dolibarr-21.0.0/htdocs/comm/action/card.php	2025-03-03 15:58:17.000000000 +0000
+++ /homez.786/ridinteadu/seriousbeta/dolibarr/htdocs/comm/action/card.php	2025-05-26 12:57:19.098506000 +0000
@@ -33,21 +33,22 @@
 
 // Load Dolibarr environment
 require '../../main.inc.php';
-require_once DOL_DOCUMENT_ROOT.'/core/class/extrafields.class.php';
-require_once DOL_DOCUMENT_ROOT.'/core/class/html.form.class.php';
-require_once DOL_DOCUMENT_ROOT.'/core/class/html.formactions.class.php';
-require_once DOL_DOCUMENT_ROOT.'/core/class/html.formfile.class.php';
-require_once DOL_DOCUMENT_ROOT.'/core/class/html.formprojet.class.php';
-require_once DOL_DOCUMENT_ROOT.'/core/lib/agenda.lib.php';
-require_once DOL_DOCUMENT_ROOT.'/core/lib/date.lib.php';
-require_once DOL_DOCUMENT_ROOT.'/categories/class/categorie.class.php';
-require_once DOL_DOCUMENT_ROOT.'/comm/action/class/actioncomm.class.php';
-require_once DOL_DOCUMENT_ROOT.'/comm/action/class/actioncommreminder.class.php';
-require_once DOL_DOCUMENT_ROOT.'/comm/action/class/cactioncomm.class.php';
-require_once DOL_DOCUMENT_ROOT.'/contact/class/contact.class.php';
-require_once DOL_DOCUMENT_ROOT.'/projet/class/project.class.php';
-require_once DOL_DOCUMENT_ROOT.'/projet/class/task.class.php';
-require_once DOL_DOCUMENT_ROOT.'/user/class/user.class.php';
+require_once DOL_DOCUMENT_ROOT . '/core/class/extrafields.class.php';
+require_once DOL_DOCUMENT_ROOT . '/core/class/html.form.class.php';
+require_once DOL_DOCUMENT_ROOT . '/core/class/html.formactions.class.php';
+require_once DOL_DOCUMENT_ROOT . '/core/class/html.formfile.class.php';
+require_once DOL_DOCUMENT_ROOT . '/core/class/html.formprojet.class.php';
+require_once DOL_DOCUMENT_ROOT . '/core/lib/agenda.lib.php';
+require_once DOL_DOCUMENT_ROOT . '/core/lib/date.lib.php';
+require_once DOL_DOCUMENT_ROOT . '/categories/class/categorie.class.php';
+require_once DOL_DOCUMENT_ROOT . '/comm/action/class/actioncomm.class.php';
+require_once DOL_DOCUMENT_ROOT . '/comm/action/class/actioncommreminder.class.php';
+require_once DOL_DOCUMENT_ROOT . '/comm/action/class/cactioncomm.class.php';
+require_once DOL_DOCUMENT_ROOT . '/contact/class/contact.class.php';
+require_once DOL_DOCUMENT_ROOT . '/projet/class/project.class.php';
+require_once DOL_DOCUMENT_ROOT . '/projet/class/task.class.php';
+require_once DOL_DOCUMENT_ROOT . '/user/class/user.class.php';
+
 
 
 /**
@@ -173,6 +174,23 @@
  * Actions
  */
 
+
+
+$reminders = [];
+$sql = "SELECT rowid FROM " . MAIN_DB_PREFIX . "actioncomm_reminder WHERE fk_actioncomm = " . ((int) $object->id);
+$resql = $db->query($sql);
+if ($resql) {
+	while ($objRemnider = $db->fetch_object($resql)) {
+		$reminder = new ActionCommReminder($db);
+		if ($reminder->fetch($objRemnider->rowid) > 0) {
+			$reminders[] = $reminder;
+		}
+	}
+}
+
+
+
+
 $listUserAssignedUpdated = false;
 $listResourceAssignedUpdated = false;
 $assignedtouser = array();
@@ -296,7 +314,7 @@
 			}
 			$result = $object->createFromClone($user, GETPOSTINT('socid'));
 			if ($result > 0) {
-				header("Location: ".$_SERVER['PHP_SELF'].'?id='.$result);
+				header("Location: " . $_SERVER['PHP_SELF'] . '?id=' . $result);
 				exit();
 			} else {
 				setEventMessages($object->error, $object->errors, 'errors');
@@ -306,15 +324,103 @@
 	}
 }
 
+//MODIF JOSE
+
+// if (GETPOST('ajax', 'int') == 1 && GETPOST('action') == 'addreminder') {
+// 	header('Content-Type: application/json');
+
+// 	$reminder = new ActionCommReminder($db);
+// 	$reminder->fk_actioncomm = GETPOST('id', 'int');
+// 	$reminder->offsetvalue = GETPOST('offsetvalue', 'int');
+// 	$reminder->offsetunit = GETPOST('offsetunit', 'aZ09');
+// 	$reminder->typeremind = GETPOST('selectremindertype', 'aZ09');
+// 	$reminder->fk_email_template = GETPOST('actioncomm_send', 'int');
+// 	$reminder->fk_user = $user->id;
+// 	$reminder->entity = $conf->entity;
+// 	$reminder->status = 0;
+
+// 	if ($reminder->create($user) > 0) {
+// 		echo json_encode([
+// 			'success' => 1,
+// 			'id' => $reminder->id,
+// 			'type' => $reminder->typeremind,
+// 			'delay' => $reminder->offsetvalue . ' ' . $reminder->offsetunit
+// 		]);
+// 	} else {
+// 		http_response_code(500);
+// 		echo json_encode(['error' => $reminder->error]);
+// 	}
+// 	exit;
+// }
+
+
+if ($action == 'addreminder') {
+	$reminder = new ActionCommReminder($db);
+	$reminder->fk_actioncomm = $id;
+	$reminder->typeremind = GETPOST('typeremind', 'alpha');
+	$reminder->offsetvalue = GETPOST('offsetvalue', 'int');
+	$reminder->offsetunit = GETPOST('offsetunit', 'alpha');
+	$reminder->fk_user = $user->id;
+	$reminder->entity = $conf->entity;
+	$reminder->status = 0;
+
+	if ($reminder->create($user) < 0) {
+		setEventMessages($reminder->error, $reminder->errors, 'errors');
+	} else {
+		header("Location: " . $_SERVER["PHP_SELF"] . "?id=" . $object->id);
+		exit;
+	}
+}
+
+if ($action == 'massdeletereminder' && !empty($_POST['reminderids'])) {
+	require_once DOL_DOCUMENT_ROOT . '/comm/action/class/actioncommreminder.class.php';
+	foreach ($_POST['reminderids'] as $idToDelete) {
+		$reminder = new ActionCommReminder($db);
+		if ($reminder->fetch((int) $idToDelete) > 0) {
+			$reminder->delete($user);
+		}
+	}
+	header("Location: " . dol_buildpath('/comm/action/card.php', 1) . '?id=' . (int) $reminder->fk_actioncomm);
+	exit;
+}
+
+
+
+
+if ($action == 'updatereminder') {
+	var_dump($object->id);
+	$reminderid = GETPOST('reminderid', 'int');
+	$reminder = new ActionCommReminder($db);
+	if ($reminder->fetch($reminderid) > 0) {
+		$reminder->offsetvalue = GETPOST('offsetvalue', 'int');
+		$reminder->offsetunit = GETPOST('offsetunit', 'aZ09');
+		$reminder->typeremind = GETPOST('selectremindertype', 'aZ09');
+		$reminder->fk_email_template = GETPOST('actioncomm_send', 'int');
+		$res = $reminder->update($user);
+		if ($res > 0) {
+			print '<meta http-equiv="refresh" content="1;url=' . $_SERVER['PHP_SELF'] . '?id=' . $object->id . '">';
+			exit;
+		} else {
+			setEventMessages($reminder->error, $reminder->errors, 'errors');
+		}
+	}
+}
+
+
+
+
+//END MODIF
+
+
 // Add event
 if (empty($reshook) && $action == 'add' && $usercancreate) {
 	$error = 0;
 
 	if (empty($backtopage)) {
 		if ($socid > 0) {
-			$backtopage = DOL_URL_ROOT.'/societe/agenda.php?socid='.$socid;
+			$backtopage = DOL_URL_ROOT . '/societe/agenda.php?socid=' . $socid;
 		} else {
-			$backtopage = DOL_URL_ROOT.'/comm/action/index.php';
+			$backtopage = DOL_URL_ROOT . '/comm/action/index.php';
 		}
 	}
 
@@ -323,7 +429,7 @@
 	}
 
 	if ($cancel) {
-		header("Location: ".$backtopage);
+		header("Location: " . $backtopage);
 		exit;
 	}
 
@@ -399,8 +505,8 @@
 			if (GETPOST('actioncode', 'aZ09') == 'AC_RDV' && $contact->getFullName($langs)) {
 				$object->label = $langs->transnoentitiesnoconv("TaskRDVWith", $contact->getFullName($langs));
 			} else {
-				if ($langs->trans("Action".$object->type_code) != "Action".$object->type_code) {
-					$object->label = $langs->transnoentitiesnoconv("Action".$object->type_code)."\n";
+				if ($langs->trans("Action" . $object->type_code) != "Action" . $object->type_code) {
+					$object->label = $langs->transnoentitiesnoconv("Action" . $object->type_code) . "\n";
 				} else {
 					$cactioncomm->fetch($object->type_code);
 					$object->label = $cactioncomm->label;
@@ -512,9 +618,9 @@
 		$selectedrecurrulefreq = 'no';
 		$selectedrecurrulebymonthday = '';
 		$selectedrecurrulebyday = '';
-		$object->recurrule = GETPOSTISSET('recurrulefreq') ? "FREQ=".GETPOST('recurrulefreq', 'alpha') : "";
-		$object->recurrule .= (GETPOST('recurrulefreq', 'alpha') == 'MONTHLY' && GETPOSTISSET('BYMONTHDAY')) ? "_BYMONTHDAY".GETPOST('BYMONTHDAY', 'alpha') : "";
-		$object->recurrule .= (GETPOST('recurrulefreq', 'alpha') == 'WEEKLY' && GETPOSTISSET('BYDAY')) ? "_BYDAY".GETPOST('BYDAY', 'alpha') : "";
+		$object->recurrule = GETPOSTISSET('recurrulefreq') ? "FREQ=" . GETPOST('recurrulefreq', 'alpha') : "";
+		$object->recurrule .= (GETPOST('recurrulefreq', 'alpha') == 'MONTHLY' && GETPOSTISSET('BYMONTHDAY')) ? "_BYMONTHDAY" . GETPOST('BYMONTHDAY', 'alpha') : "";
+		$object->recurrule .= (GETPOST('recurrulefreq', 'alpha') == 'WEEKLY' && GETPOSTISSET('BYDAY')) ? "_BYDAY" . GETPOST('BYDAY', 'alpha') : "";
 
 		$reg1 = array();
 		$reg2 = array();
@@ -551,7 +657,7 @@
 				if (is_array($listofresourceid) && count($listofresourceid)) {
 					foreach ($listofresourceid as $resource_id => $val) {
 						$resource_type = 'dolresource';
-						$busy = 1;//GETPOSTINT('busy');
+						$busy = 1; //GETPOSTINT('busy');
 
 						// Resources association
 						if (getDolGlobalString('RESOURCE_USED_IN_EVENT_CHECK')) {
@@ -665,7 +771,7 @@
 				 $moreparam .= ($moreparam ? '&' : '').'search_status=-1';
 				 $moreparam .= ($moreparam ? '&' : '').'search_filtert='.$object->userownerid;
 				 */
-				$moreparam .= ($moreparam ? '&' : '').'disabledefaultvalues=1';
+				$moreparam .= ($moreparam ? '&' : '') . 'disabledefaultvalues=1';
 
 				if ($error) {
 					$db->rollback();
@@ -705,12 +811,12 @@
 			if ($selectedrecurrulefreq == 'WEEKLY' && !empty($selectedrecurrulebyday)) {
 				$firstdatearray = dol_get_first_day_week(GETPOSTINT("apday"), GETPOSTINT("apmonth"), GETPOSTINT("apyear"));
 				$datep = dol_mktime($fulldayevent ? 0 : GETPOSTINT("aphour"), $fulldayevent ? 0 : GETPOSTINT("apmin"), $fulldayevent ? 0 : GETPOSTINT("apsec"), $firstdatearray['month'], $firstdatearray['first_day'], $firstdatearray['year'], $tzforfullday ? $tzforfullday : 'tzuserrel');
-				$datep = dol_time_plus_duree($datep, $selectedrecurrulebyday + 6, 'd');//We begin the week after
+				$datep = dol_time_plus_duree($datep, $selectedrecurrulebyday + 6, 'd'); //We begin the week after
 				$dayoffset = 7;
 				$monthoffset = 0;
 			} elseif ($selectedrecurrulefreq == 'MONTHLY' && !empty($selectedrecurrulebymonthday)) {
 				$firstday = $selectedrecurrulebymonthday;
-				$firstmonth = GETPOST("apday") > $selectedrecurrulebymonthday ? GETPOSTINT("apmonth") + 1 : GETPOSTINT("apmonth");//We begin the week after
+				$firstmonth = GETPOST("apday") > $selectedrecurrulebymonthday ? GETPOSTINT("apmonth") + 1 : GETPOSTINT("apmonth"); //We begin the week after
 				$datep = dol_mktime($fulldayevent ? 0 : GETPOSTINT("aphour"), $fulldayevent ? 0 : GETPOSTINT("apmin"), $fulldayevent ? 0 : GETPOSTINT("apsec"), $firstmonth, $firstday, GETPOSTINT("apyear"), $tzforfullday ? $tzforfullday : 'tzuserrel');
 				$dayoffset = 0;
 				$monthoffset = 1;
@@ -785,7 +891,7 @@
 						 $moreparam .= ($moreparam ? '&' : '').'search_status=-1';
 						 $moreparam .= ($moreparam ? '&' : '').'search_filtert='.$object->userownerid;
 						 */
-						$moreparam .= ($moreparam ? '&' : '').'disabledefaultvalues=1';
+						$moreparam .= ($moreparam ? '&' : '') . 'disabledefaultvalues=1';
 
 						if ($error) {
 							$db->rollback();
@@ -821,12 +927,12 @@
 			}
 		}
 		if (!empty($backtopage) && !$error) {
-			dol_syslog("Back to ".$backtopage.($moreparam ? (preg_match('/\?/', $backtopage) ? '&'.$moreparam : '?'.$moreparam) : ''));
-			header("Location: ".$backtopage.($moreparam ? (preg_match('/\?/', $backtopage) ? '&'.$moreparam : '?'.$moreparam) : ''));
+			dol_syslog("Back to " . $backtopage . ($moreparam ? (preg_match('/\?/', $backtopage) ? '&' . $moreparam : '?' . $moreparam) : ''));
+			header("Location: " . $backtopage . ($moreparam ? (preg_match('/\?/', $backtopage) ? '&' . $moreparam : '?' . $moreparam) : ''));
 		} elseif ($idaction) {
-			header("Location: ".DOL_URL_ROOT.'/comm/action/card.php?id='.$idaction.($moreparam ? '&'.$moreparam : ''));
+			header("Location: " . DOL_URL_ROOT . '/comm/action/card.php?id=' . $idaction . ($moreparam ? '&' . $moreparam : ''));
 		} else {
-			header("Location: ".DOL_URL_ROOT.'/comm/action/index.php'.($moreparam ? '?'.$moreparam : ''));
+			header("Location: " . DOL_URL_ROOT . '/comm/action/index.php' . ($moreparam ? '?' . $moreparam : ''));
 		}
 		exit;
 	}
@@ -994,30 +1100,30 @@
 				$eventDateEnd = $object->datef;
 
 				$sql  = "SELECT er.rowid, r.ref as r_ref, ac.id as ac_id, ac.label as ac_label";
-				$sql .= " FROM ".MAIN_DB_PREFIX."element_resources as er";
-				$sql .= " INNER JOIN ".MAIN_DB_PREFIX."resource as r ON r.rowid = er.resource_id AND er.resource_type = 'dolresource'";
-				$sql .= " INNER JOIN ".MAIN_DB_PREFIX."actioncomm as ac ON ac.id = er.element_id AND er.element_type = '".$db->escape($object->element)."'";
-				$sql .= " WHERE ac.id <> ".((int) $object->id);
+				$sql .= " FROM " . MAIN_DB_PREFIX . "element_resources as er";
+				$sql .= " INNER JOIN " . MAIN_DB_PREFIX . "resource as r ON r.rowid = er.resource_id AND er.resource_type = 'dolresource'";
+				$sql .= " INNER JOIN " . MAIN_DB_PREFIX . "actioncomm as ac ON ac.id = er.element_id AND er.element_type = '" . $db->escape($object->element) . "'";
+				$sql .= " WHERE ac.id <> " . ((int) $object->id);
 				$sql .= " AND er.resource_id IN (";
-				$sql .= " SELECT resource_id FROM ".MAIN_DB_PREFIX."element_resources";
-				$sql .= " WHERE element_id = ".((int) $object->id);
-				$sql .= " AND element_type = '".$db->escape($object->element)."'";
+				$sql .= " SELECT resource_id FROM " . MAIN_DB_PREFIX . "element_resources";
+				$sql .= " WHERE element_id = " . ((int) $object->id);
+				$sql .= " AND element_type = '" . $db->escape($object->element) . "'";
 				$sql .= " AND busy = 1";
 				$sql .= ")";
 				$sql .= " AND er.busy = 1";
 				$sql .= " AND (";
 
 				// event date start between ac.datep and ac.datep2 (if datep2 is null we consider there is no end)
-				$sql .= " (ac.datep <= '".$db->idate($eventDateStart)."' AND (ac.datep2 IS NULL OR ac.datep2 >= '".$db->idate($eventDateStart)."'))";
+				$sql .= " (ac.datep <= '" . $db->idate($eventDateStart) . "' AND (ac.datep2 IS NULL OR ac.datep2 >= '" . $db->idate($eventDateStart) . "'))";
 				// event date end between ac.datep and ac.datep2
 				if (!empty($eventDateEnd)) {
-					$sql .= " OR (ac.datep <= '".$db->idate($eventDateEnd)."' AND (ac.datep2 >= '".$db->idate($eventDateEnd)."'))";
+					$sql .= " OR (ac.datep <= '" . $db->idate($eventDateEnd) . "' AND (ac.datep2 >= '" . $db->idate($eventDateEnd) . "'))";
 				}
 				// event date start before ac.datep and event date end after ac.datep2
 				$sql .= " OR (";
-				$sql .= "ac.datep >= '".$db->idate($eventDateStart)."'";
+				$sql .= "ac.datep >= '" . $db->idate($eventDateStart) . "'";
 				if (!empty($eventDateEnd)) {
-					$sql .= " AND (ac.datep2 IS NOT NULL AND ac.datep2 <= '".$db->idate($eventDateEnd)."')";
+					$sql .= " AND (ac.datep2 IS NOT NULL AND ac.datep2 <= '" . $db->idate($eventDateEnd) . "')";
 				}
 				$sql .= ")";
 
@@ -1031,9 +1137,9 @@
 					if ($db->num_rows($resql) > 0) {
 						// Resource already in use
 						$error++;
-						$object->error = $langs->trans('ErrorResourcesAlreadyInUse').' : ';
+						$object->error = $langs->trans('ErrorResourcesAlreadyInUse') . ' : ';
 						while ($obj = $db->fetch_object($resql)) {
-							$object->error .= '<br> - '.$langs->trans('ErrorResourceUseInEvent', $obj->r_ref, $obj->ac_label.' ['.$obj->ac_id.']');
+							$object->error .= '<br> - ' . $langs->trans('ErrorResourceUseInEvent', $obj->r_ref, $obj->ac_label . ' [' . $obj->ac_id . ']');
 						}
 						$object->errors[] = $object->error;
 					}
@@ -1090,8 +1196,8 @@
 
 						// We update the event, so we recreate the notification event.
 						// First we delete all reminders for the user and the type of reminding (all offset dates).
-						$sqldelete = "DELETE FROM ".MAIN_DB_PREFIX."actioncomm_reminder";
-						$sqldelete .= " WHERE fk_user = ".((int) $actionCommReminder->fk_user)." AND fk_actioncomm = ".((int) $object->id)." AND typeremind = '".$db->escape($remindertype)."'";
+						$sqldelete = "DELETE FROM " . MAIN_DB_PREFIX . "actioncomm_reminder";
+						$sqldelete .= " WHERE fk_user = " . ((int) $actionCommReminder->fk_user) . " AND fk_actioncomm = " . ((int) $object->id) . " AND typeremind = '" . $db->escape($remindertype) . "'";
 						$resqldelete = $db->query($sqldelete);
 
 						$res = $actionCommReminder->create($user);
@@ -1127,7 +1233,7 @@
 	if (!$error) {
 		if (!empty($backtopage)) {
 			unset($_SESSION['assignedtouser']);
-			header("Location: ".$backtopage);
+			header("Location: " . $backtopage);
 			exit;
 		}
 	}
@@ -1140,8 +1246,10 @@
 	$object->fetch_userassigned();
 	$object->oldcopy = dol_clone($object, 2);
 
-	if ($user->hasRight('agenda', 'myactions', 'delete')
-		|| $user->hasRight('agenda', 'allactions', 'delete')) {
+	if (
+		$user->hasRight('agenda', 'myactions', 'delete')
+		|| $user->hasRight('agenda', 'allactions', 'delete')
+	) {
 		$result = $object->delete($user);
 
 		if ($result >= 0) {
@@ -1165,7 +1273,7 @@
 
 	$newdate = GETPOST('newdate', 'alpha');
 	if (empty($newdate) || strpos($newdate, 'dayevent_') != 0) {
-		header("Location: ".$backtopage, true, 307);
+		header("Location: " . $backtopage, true, 307);
 		exit;
 	}
 
@@ -1185,30 +1293,30 @@
 				$eventDateEnd = $object->datef;
 
 				$sql  = "SELECT er.rowid, r.ref as r_ref, ac.id as ac_id, ac.label as ac_label";
-				$sql .= " FROM ".MAIN_DB_PREFIX."element_resources as er";
-				$sql .= " INNER JOIN ".MAIN_DB_PREFIX."resource as r ON r.rowid = er.resource_id AND er.resource_type = 'dolresource'";
-				$sql .= " INNER JOIN ".MAIN_DB_PREFIX."actioncomm as ac ON ac.id = er.element_id AND er.element_type = '".$db->escape($object->element)."'";
-				$sql .= " WHERE ac.id <> ".((int) $object->id);
+				$sql .= " FROM " . MAIN_DB_PREFIX . "element_resources as er";
+				$sql .= " INNER JOIN " . MAIN_DB_PREFIX . "resource as r ON r.rowid = er.resource_id AND er.resource_type = 'dolresource'";
+				$sql .= " INNER JOIN " . MAIN_DB_PREFIX . "actioncomm as ac ON ac.id = er.element_id AND er.element_type = '" . $db->escape($object->element) . "'";
+				$sql .= " WHERE ac.id <> " . ((int) $object->id);
 				$sql .= " AND er.resource_id IN (";
-				$sql .= " SELECT resource_id FROM ".MAIN_DB_PREFIX."element_resources";
-				$sql .= " WHERE element_id = ".((int) $object->id);
-				$sql .= " AND element_type = '".$db->escape($object->element)."'";
+				$sql .= " SELECT resource_id FROM " . MAIN_DB_PREFIX . "element_resources";
+				$sql .= " WHERE element_id = " . ((int) $object->id);
+				$sql .= " AND element_type = '" . $db->escape($object->element) . "'";
 				$sql .= " AND busy = 1";
 				$sql .= ")";
 				$sql .= " AND er.busy = 1";
 				$sql .= " AND (";
 
 				// event date start between ac.datep and ac.datep2 (if datep2 is null we consider there is no end)
-				$sql .= " (ac.datep <= '".$db->idate($eventDateStart)."' AND (ac.datep2 IS NULL OR ac.datep2 >= '".$db->idate($eventDateStart)."'))";
+				$sql .= " (ac.datep <= '" . $db->idate($eventDateStart) . "' AND (ac.datep2 IS NULL OR ac.datep2 >= '" . $db->idate($eventDateStart) . "'))";
 				// event date end between ac.datep and ac.datep2
 				if (!empty($eventDateEnd)) {
-					$sql .= " OR (ac.datep <= '".$db->idate($eventDateEnd)."' AND (ac.datep2 >= '".$db->idate($eventDateEnd)."'))";
+					$sql .= " OR (ac.datep <= '" . $db->idate($eventDateEnd) . "' AND (ac.datep2 >= '" . $db->idate($eventDateEnd) . "'))";
 				}
 				// event date start before ac.datep and event date end after ac.datep2
 				$sql .= " OR (";
-				$sql .= "ac.datep >= '".$db->idate($eventDateStart)."'";
+				$sql .= "ac.datep >= '" . $db->idate($eventDateStart) . "'";
 				if (!empty($eventDateEnd)) {
-					$sql .= " AND (ac.datep2 IS NOT NULL AND ac.datep2 <= '".$db->idate($eventDateEnd)."')";
+					$sql .= " AND (ac.datep2 IS NOT NULL AND ac.datep2 <= '" . $db->idate($eventDateEnd) . "')";
 				}
 				$sql .= ")";
 
@@ -1222,9 +1330,9 @@
 					if ($db->num_rows($resql) > 0) {
 						// Resource already in use
 						$error++;
-						$object->error = $langs->trans('ErrorResourcesAlreadyInUse').' : ';
+						$object->error = $langs->trans('ErrorResourcesAlreadyInUse') . ' : ';
 						while ($obj = $db->fetch_object($resql)) {
-							$object->error .= '<br> - '.$langs->trans('ErrorResourceUseInEvent', $obj->r_ref, $obj->ac_label.' ['.$obj->ac_id.']');
+							$object->error .= '<br> - ' . $langs->trans('ErrorResourceUseInEvent', $obj->r_ref, $obj->ac_label . ' [' . $obj->ac_id . ']');
 						}
 						$object->errors[] = $object->error;
 					}
@@ -1250,7 +1358,7 @@
 		}
 	}
 	if (!empty($backtopage)) {
-		header("Location: ".$backtopage, true, 307);
+		header("Location: " . $backtopage, true, 307);
 		exit;
 	} else {
 		$action = '';
@@ -1258,10 +1366,10 @@
 }
 
 // Actions to delete doc
-$upload_dir = $conf->agenda->dir_output.'/'.dol_sanitizeFileName($object->ref);
+$upload_dir = $conf->agenda->dir_output . '/' . dol_sanitizeFileName($object->ref);
 $permissiontoadd = ($user->hasRight('agenda', 'allactions', 'create') || (($object->authorid == $user->id || $object->userownerid == $user->id) && $user->hasRight('agenda', 'myactions', 'read')));
 if (empty($reshook)) {
-	include DOL_DOCUMENT_ROOT.'/core/actions_builddoc.inc.php';
+	include DOL_DOCUMENT_ROOT . '/core/actions_builddoc.inc.php';
 }
 
 
@@ -1283,6 +1391,49 @@
 $help_url = 'EN:Module_Agenda_En|FR:Module_Agenda|ES:M&omodulodulo_Agenda|DE:Modul_Terminplanung';
 llxHeader('', $langs->trans("Agenda"), $help_url);
 
+//MODIF JOSE
+if ($action == 'editreminder') {
+
+	$reminderid = GETPOST('reminderid', 'int');
+	$actionCommReminder = new ActionCommReminder($db);
+	if ($actionCommReminder->fetch($reminderid) <= 0) {
+		setEventMessages($actionCommReminder->error, $actionCommReminder->errors, 'errors');
+	}
+
+
+	print '<form method="POST" action="' . $_SERVER["PHP_SELF"] . '?id=' . $actioncomm->id . '">';
+	print '<input type="hidden" name="action" value="updatereminder">';
+	print '<input type="hidden" name="reminderid" value="' . $actionCommReminder->id . '">';
+	print '<table class="border centpercent">';
+
+	// Reminder Time
+	print '<tr><td class="titlefieldcreate nowrap">' . $langs->trans("ReminderTime") . '</td><td colspan="3">';
+	print '<input class="width50" type="number" name="offsetvalue" value="' . $actionCommReminder->offsetvalue . '"> ';
+	print $form->selectTypeDuration('offsetunit', $actionCommReminder->offsetunit, array('y', 'm'));
+	print '</td></tr>';
+
+	// Reminder Type
+	print '<tr><td class="titlefieldcreate nowrap">' . $langs->trans("ReminderType") . '</td><td colspan="3">';
+	print $form->selectarray('selectremindertype', $TRemindTypes, $actionCommReminder->typeremind, 0, 0, 0, '', 0, 0, 0, '', 'minwidth200', 1);
+	print '</td></tr>';
+
+	// Mail model (optional)
+	$hide = '';
+	if ($actionCommReminder->typeremind == 'browser') {
+		$hide = 'style="display:none;"';
+	}
+	if (getDolGlobalString('AGENDA_REMINDER_EMAIL')) {
+		print '<tr ' . $hide . '><td class="titlefieldcreate nowrap">' . $langs->trans("EMailTemplates") . '</td><td colspan="3">';
+		print $form->selectModelMail('actioncommsend', 'actioncomm_send', 1, 1, $actionCommReminder->fk_email_template);
+		print '</td></tr>';
+	}
+
+	print '</table>';
+	print '<div class="center"><input type="submit" class="button" value="' . $langs->trans("Save") . '"></div>';
+	print '</form>';
+}
+
+
 if ($action == 'create') {
 	$contact = new Contact($db);
 
@@ -1297,7 +1448,7 @@
 	dol_set_focus("#label");
 
 	if (!empty($conf->use_javascript_ajax)) {
-		print "\n".'<script type="text/javascript">';
+		print "\n" . '<script type="text/javascript">';
 		print '$(document).ready(function () {
         			function setdatefields()
 	            	{
@@ -1361,19 +1512,19 @@
                     else $("#dateend").removeClass("fieldrequired");
                     setdatefields();
                })';
-		print '</script>'."\n";
+		print '</script>' . "\n";
 	}
 
-	print '<form name="formaction" action="'.$_SERVER['PHP_SELF'].'" method="POST">';
-	print '<input type="hidden" name="token" value="'.newToken().'">';
+	print '<form name="formaction" action="' . $_SERVER['PHP_SELF'] . '" method="POST">';
+	print '<input type="hidden" name="token" value="' . newToken() . '">';
 	print '<input type="hidden" name="action" value="add">';
 	print '<input type="hidden" name="donotclearsession" value="1">';
 	print '<input type="hidden" name="page_y" value="">';
 	if ($backtopage) {
-		print '<input type="hidden" name="backtopage" value="'.($backtopage != '1' ? $backtopage : '').'">';
+		print '<input type="hidden" name="backtopage" value="' . ($backtopage != '1' ? $backtopage : '') . '">';
 	}
 	if (!getDolGlobalString('AGENDA_USE_EVENT_TYPE')) {
-		print '<input type="hidden" name="actioncode" value="'.dol_getIdFromCode($db, 'AC_OTH', 'c_actioncomm').'">';
+		print '<input type="hidden" name="actioncode" value="' . dol_getIdFromCode($db, 'AC_OTH', 'c_actioncomm') . '">';
 	}
 
 	if (GETPOST("actioncode", 'aZ09') == 'AC_RDV') {
@@ -1388,7 +1539,7 @@
 
 	// Type of event
 	if (getDolGlobalString('AGENDA_USE_EVENT_TYPE')) {
-		print '<tr><td class="titlefieldcreate"><span class="fieldrequired">'.$langs->trans("Type").'</span></b></td><td>';
+		print '<tr><td class="titlefieldcreate"><span class="fieldrequired">' . $langs->trans("Type") . '</span></b></td><td>';
 		$default = getDolGlobalString('AGENDA_USE_EVENT_TYPE_DEFAULT', 'AC_RDV');
 		print img_picto($langs->trans("ActionType"), 'square', 'class="fawidth30 inline-block" style="color: #ddd;"');
 		$selectedvalue = GETPOSTISSET("actioncode") ? GETPOST("actioncode", 'aZ09') : ($object->type_code ? $object->type_code : $default);
@@ -1397,11 +1548,11 @@
 	}
 
 	// Title
-	print '<tr><td'.(getDolGlobalString('AGENDA_USE_EVENT_TYPE') ? '' : ' class="fieldrequired titlefieldcreate"').'>'.$langs->trans("Title").'</td><td><input type="text" id="label" name="label" class="soixantepercent" value="'.GETPOST('label').'"></td></tr>';
+	print '<tr><td' . (getDolGlobalString('AGENDA_USE_EVENT_TYPE') ? '' : ' class="fieldrequired titlefieldcreate"') . '>' . $langs->trans("Title") . '</td><td><input type="text" id="label" name="label" class="soixantepercent" value="' . GETPOST('label') . '"></td></tr>';
 
 	// Full day
-	print '<tr><td><span class="fieldrequired">'.$langs->trans("Date").'</span></td>';
-	print '<td class="valignmiddle height30"><input class="valignmiddle" type="checkbox" id="fullday" name="fullday" '.(GETPOST('fullday') ? ' checked' : '').'><label for="fullday" class="valignmiddle small">'.$langs->trans("EventOnFullDay").'</label>';
+	print '<tr><td><span class="fieldrequired">' . $langs->trans("Date") . '</span></td>';
+	print '<td class="valignmiddle height30"><input class="valignmiddle" type="checkbox" id="fullday" name="fullday" ' . (GETPOST('fullday') ? ' checked' : '') . '><label for="fullday" class="valignmiddle small">' . $langs->trans("EventOnFullDay") . '</label>';
 	print '</td></tr>';
 
 	$datep = ($datep ? $datep : (is_null($object->datep) ? '' : $object->datep));
@@ -1439,14 +1590,14 @@
 		//print ' &nbsp; &nbsp; &nbsp; &nbsp; ';
 		print '<div class="opacitymedium inline-block small">';
 		print img_picto($langs->trans("Recurrence"), 'recurring', 'style="margin-left: 6px" class="paddingright2"');
-		print '<input type="hidden" name="recurid" value="'.(empty($object->recurid) ? '' : $object->recurid).'">';
+		print '<input type="hidden" name="recurid" value="' . (empty($object->recurid) ? '' : $object->recurid) . '">';
 
 		$selectedrecurrulefreq = 'no';
 		$selectedrecurrulebymonthday = '';
 		$selectedrecurrulebyday = '';
-		$object->recurrule = GETPOSTISSET('recurrulefreq') ? "FREQ=".GETPOST('recurrulefreq', 'alpha') : "";
-		$object->recurrule .= GETPOSTISSET('BYMONTHDAY') ? "_BYMONTHDAY".GETPOST('BYMONTHDAY', 'alpha') : "";
-		$object->recurrule .= GETPOSTISSET('BYDAY') ? "_BYDAY".GETPOST('BYDAY', 'alpha') : "";
+		$object->recurrule = GETPOSTISSET('recurrulefreq') ? "FREQ=" . GETPOST('recurrulefreq', 'alpha') : "";
+		$object->recurrule .= GETPOSTISSET('BYMONTHDAY') ? "_BYMONTHDAY" . GETPOST('BYMONTHDAY', 'alpha') : "";
+		$object->recurrule .= GETPOSTISSET('BYDAY') ? "_BYDAY" . GETPOST('BYDAY', 'alpha') : "";
 
 
 		$reg = array();
@@ -1467,16 +1618,16 @@
 
 		// If recurrulefreq is MONTHLY
 		print '<div class="hidden marginrightonly inline-block repeateventBYMONTHDAY">';
-		print $langs->trans("DayOfMonth").': <input type="input" size="2" name="BYMONTHDAY" value="'.$selectedrecurrulebymonthday.'">';
+		print $langs->trans("DayOfMonth") . ': <input type="input" size="2" name="BYMONTHDAY" value="' . $selectedrecurrulebymonthday . '">';
 		print '</div>';
 		// If recurrulefreq is WEEKLY
 		print '<div class="hidden marginrightonly inline-block repeateventBYDAY">';
-		print $langs->trans("DayOfWeek").': <input type="input" size="4" name="BYDAY" value="'.$selectedrecurrulebyday.'">';
+		print $langs->trans("DayOfWeek") . ': <input type="input" size="4" name="BYDAY" value="' . $selectedrecurrulebyday . '">';
 		print '</div>';
 		// limit date
 		$repeateventlimitdate = !empty($repeateventlimitdate) ? $repeateventlimitdate : '';
 		print '<div class="hidden marginrightonly inline-block repeateventlimitdate">';
-		print $langs->trans("Until")." ";
+		print $langs->trans("Until") . " ";
 		print $form->selectDate($repeateventlimitdate, 'limit', 0, 0, 0, "action", 1, 0, 0, '', '', '', '', 1, '', '', 'tzuserrel');
 		print '</div>';
 
@@ -1484,11 +1635,11 @@
 			jQuery(document).ready(function() {
 				function init_repeat()
 				{
-					console.log("recurrule: " + "'.$object->recurrule.'");
-					console.log("reg1: " + "'.$selectedrecurrulefreq.'");
-					console.log("reg2: " + "'.$selectedrecurrulebymonthday.'");
-					console.log("reg3: " + "'.$selectedrecurrulebyday.'");
-					console.log("selectedrulefreq: " + "'.$selectedrecurrulefreq.'");
+					console.log("recurrule: " + "' . $object->recurrule . '");
+					console.log("reg1: " + "' . $selectedrecurrulefreq . '");
+					console.log("reg2: " + "' . $selectedrecurrulebymonthday . '");
+					console.log("reg3: " + "' . $selectedrecurrulebyday . '");
+					console.log("selectedrulefreq: " + "' . $selectedrecurrulefreq . '");
 					if (jQuery("#recurrulefreq").val() == \'MONTHLY\')
 					{
 						jQuery(".repeateventBYMONTHDAY").css("display", "inline-block");		/* use this instead of show because we want inline-block and not block */
@@ -1521,7 +1672,7 @@
 	print '<tr><td class="">&nbsp;</td><td></td></tr>';
 
 	// Assigned to user
-	print '<tr><td class="tdtop nowrap"><span class="fieldrequired">'.$langs->trans("ActionAffectedTo").'</span></td><td>';
+	print '<tr><td class="tdtop nowrap"><span class="fieldrequired">' . $langs->trans("ActionAffectedTo") . '</span></td><td>';
 	$listofuserid = array();
 	$listofcontactid = array();
 	$listofotherid = array();
